Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xpath.operations
Class And

    java.lang.Object
      org.apache.xpath.Expression
          org.apache.xpath.operations.Operation
              org.apache.xpath.operations.And

All Implemented Interfaces:
  ExpressionNode, ExpressionOwner, java.io.Serializable, SourceLocator, XPathVisitable

public class And
extends Operation

The 'and' operation expression executer.

See Also:
  Serialized Form

Constructor Summary
`And()`

Method Summary
`boolean` | `bool(XPathContext xctxt)` Evaluate this operation directly to a boolean.
`XObject` | `execute(XPathContext xctxt)` AND two expressions and return the boolean result.

Methods inherited from class org.apache.xpath.operations.Operation
`callVisitors, canTraverseOutsideSubtree, deepEquals, fixupVariables, getExpression, getLeftOperand, getRightOperand, operate, setExpression, setLeftRight`

Methods inherited from class org.apache.xpath.Expression
`asIterator, asIteratorRaw, asNode, assertion, error, execute, execute, execute, executeCharsToContentHandler, exprAddChild, exprGetChild, exprGetNumChildren, exprGetParent, exprSetParent, getColumnNumber, getExpressionOwner, getLineNumber, getPublicId, getSystemId, isNodesetExpr, isStableNumber, num, warn, xstr`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### And

    public And()

Method Detail

### execute

    public XObject execute(XPathContext xctxt)
                    throws TransformerException

  AND two expressions and return the boolean result. Override superclass method for optimization purposes.

  Overrides:
    `execute` in class `Operation`
  Parameters:
    `xctxt` - The runtime execution context.
  Returns:
    `XBoolean.S_TRUE` or `XBoolean.S_FALSE`.
  Throws:
    `TransformerException`

### bool

    public boolean bool(XPathContext xctxt)
                 throws TransformerException

  Evaluate this operation directly to a boolean.

  Overrides:
    `bool` in class `Expression`
  Parameters:
    `xctxt` - The runtime execution context.
  Returns:
    The result of the operation as a boolean.
  Throws:
    `TransformerException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache XML Project. All Rights Reserved.